## pocketsphinx 5.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14) # I like pie

project(PocketSphinx VERSION 5.0.2
  DESCRIPTION "A small speech recognizer"
  HOMEPAGE_URL "https://github.com/cmusphinx/pocketsphinx"
  LANGUAGES C)
include(CMakePrintHelpers)
set(PACKAGE_NAME ${PROJECT_NAME})
string(TOLOWER ${PROJECT_NAME} PROJECT_SHORTNAME)
set(PACKAGE_VERSION ${PROJECT_VERSION})
set(PACKAGE_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(PACKAGE_TARNAME "${PROJECT_SHORTNAME}-${PROJECT_VERSION}")
set(PACKAGE_URL ${PROJECT_HOMEPAGE_URL})
set(PACKAGE_BUGREPORT dhdaines@gmail.com)

if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
  include(CTest)
  add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
endif()

include(CheckTypeSize)
include(CheckSymbolExists)
include(CheckLibraryExists)
include(TestBigEndian)
include(GNUInstallDirs)

CHECK_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILE(sys/types.h HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILE(sys/stat.h HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILE(stdint.h HAVE_STDINT_H)
CHECK_SYMBOL_EXISTS(snprintf stdio.h HAVE_SNPRINTF)
CHECK_SYMBOL_EXISTS(popen stdio.h HAVE_POPEN)
CHECK_TYPE_SIZE(long LONG)
CHECK_TYPE_SIZE("long long" LONG_LONG)
# OMG CMake is so incredibly awful
set(SIZEOF_LONG ${LONG})
set(SIZEOF_LONG_LONG ${LONG_LONG})
cmake_print_variables(SIZEOF_LONG SIZEOF_LONG_LONG)
test_big_endian(WORDS_BIGENDIAN)
cmake_print_variables(WORDS_BIGENDIAN)

# Don't do this
#if(CMAKE_BUILD_TYPE STREQUAL Debug)
#  set(SPHINX_DEBUG 1)
#endif()

# Compiles some code as the wrong endianness in order to ensure that
# it works properly
if(DEBUG_ENDIAN)
  add_definitions(-DDEBUG_ENDIAN)
endif()
cmake_print_variables(SPHINX_DEBUG DEBUG_ENDIAN)

if(MSVC)
  add_compile_options(/W3)
else()
  add_compile_options(-Wall -Wextra)
endif()

option(FIXED_POINT "Build using fixed-point math" OFF)
if(NOT DEFAULT_RADIX)
  set(DEFAULT_RADIX 12)
endif()
cmake_print_variables(FIXED_POINT DEFAULT_RADIX)

# Maybe not a great idea, but it does work on both Windows and Linux
set (CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
set (CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
set (CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

configure_file(config.h.in config.h)
configure_file(sphinx_config.h.in include/pocketsphinx/sphinx_config.h)
add_definitions(-DHAVE_CONFIG_H)

if(SKBUILD)
  # Python build

  # Allow compiling against systemwide libpocketsphinx.so for Docker
  # or distribution packages
  option(USE_INSTALLED_POCKETSPHINX "Build using installed PocketSphinx library" OFF)
  if(USE_INSTALLED_POCKETSPHINX)
    find_package(PkgConfig)
    # Get the libraries and headers
    pkg_check_modules(POCKETSPHINX pocketsphinx)
    # Set the model directory to the systemwide one.  Don't try to use
    # CMAKE_INSTALL_FULL_DATADIR!  That is not what you want.
    pkg_get_variable(MODELDIR pocketsphinx modeldir)
  else()
    add_subdirectory(src)
  endif()
  add_subdirectory(cython)
else()
  # C build

  # Set the default model directory to the install location
  set(MODELDIR ${CMAKE_INSTALL_FULL_DATADIR}/pocketsphinx/model)
  option(BUILD_SHARED_LIBS "Build using shared libraries" OFF)
  if(BUILD_SHARED_LIBS)
    add_definitions(-DSPHINX_DLL)
  endif()
  add_subdirectory(src)
  add_subdirectory(model)
  add_subdirectory(doxygen)
  add_subdirectory(programs)
  add_subdirectory(examples)
  if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME AND BUILD_TESTING)
    add_subdirectory(test)
  endif()
  configure_file(pocketsphinx.pc.in pocketsphinx.pc @ONLY)
  install(TARGETS pocketsphinx LIBRARY)
  install(DIRECTORY include/ TYPE INCLUDE)
  install(DIRECTORY ${CMAKE_BINARY_DIR}/include/ TYPE INCLUDE)
  install(FILES ${CMAKE_BINARY_DIR}/pocketsphinx.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

  option(BUILD_GSTREAMER "Build GStreamer plugin" OFF)
  if(BUILD_GSTREAMER)
    add_subdirectory(gst)
  endif()
endif()

# Can print this at the end, just to know what it was
cmake_print_variables(MODELDIR)

=== cython/CMakeLists.txt ===
find_package(PythonExtensions REQUIRED)
find_package(Python COMPONENTS Interpreter Development)
find_package(Cython)

if(NOT USE_INSTALLED_POCKETSPHINX)
  set_property(TARGET pocketsphinx PROPERTY POSITION_INDEPENDENT_CODE on)
endif()

add_cython_target(_pocketsphinx _pocketsphinx.pyx)
add_library(_pocketsphinx MODULE ${_pocketsphinx})
target_link_libraries(_pocketsphinx pocketsphinx)
target_include_directories(
  _pocketsphinx PRIVATE ${PYTHON_INCLUDE_DIR}
  _pocketsphinx PRIVATE ${CMAKE_BINARY_DIR}
  _pocketsphinx PRIVATE ${CMAKE_SOURCE_DIR}/src
  _pocketsphinx PUBLIC ${CMAKE_SOURCE_DIR}/include
  _pocketsphinx PUBLIC ${CMAKE_BINARY_DIR}/include
  _pocketsphinx INTERFACE ${CMAKE_SOURCE_DIR}/include
  _pocketsphinx INTERFACE ${CMAKE_BINARY_DIR}/include
  )
python_extension_module(_pocketsphinx)
install(TARGETS _pocketsphinx LIBRARY DESTINATION cython/pocketsphinx)
if(NOT USE_INSTALLED_POCKETSPHINX)
  install(DIRECTORY ${PROJECT_SOURCE_DIR}/model DESTINATION cython/pocketsphinx)
endif()

=== docs/requirements.txt ===
sphinx==4.5.0
myst-parser==0.17.2
sphinx-rtd-theme==1.0.0
MarkupSafe==2.0.1
.

=== doxygen/CMakeLists.txt ===
find_package(Doxygen)
if(DOXYGEN_FOUND)
  set(DOXYGEN_PROJECT_NUMBER 5.0.2)
  set(DOXYGEN_EXAMPLE_PATH ${CMAKE_SOURCE_DIR}/examples)
  set(DOXYGEN_SORT_MEMBER_DOCS NO)
  set(DOXYGEN_USE_MATHJAX YES)
  set(DOXYGEN_EXCLUDE_PATTERNS
    *export.h
    *config.h
    *.py
    )
  set(DOXYGEN_EXCLUDE_SYMBOLS
    *_s
    )
  doxygen_add_docs(docs
    ${CMAKE_SOURCE_DIR}/include
    ${CMAKE_SOURCE_DIR}/examples
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/include)
endif()
install(FILES
  pocketsphinx.1
  pocketsphinx_batch.1
  pocketsphinx_mdef_convert.1
  sphinx_lm_convert.1
  sphinx_lm_eval.1
  sphinx_lm_sort.1
  sphinx_pitch.1
  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== debian/changelog ===
pocketsphinx (5.0.2-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release (Closes: Bug#1043582)
    - Rename libpocketsphinx3 to libpocketsphinx5 according to soname bump.
    - control: Drop libsphinxbase-dev build-dep, add graphviz, cmake, sox,
      libpulse-dev, portaudio19-dev build-deps.
    - Drop swig-pocketsphinx package.
    - copyright: Update.
    - libpocketsphinx-dev.install: libpocketsphinx.a is not getting built any
      more.
    - rules: Drop --without-python configure option, pass -DBUILD_GSTREAMER=ON
      -DBUILD_SHARED_LIBS=ON.
    - patches/no_python: Prevent detection of python build.
    - rules: Fix the test target: upstream uses "check", not "test".
  * watch: Update URL.
  * control: Replace pkg-config deps with pkgconf.
  * tests/tests: Always unpatch on exit.

  [ Gabor Karsay ]
  * Update Standards-Version 4.7.3, removing redundant Priority field
  * Bump debhelper-compat to 13
  * Remove redundant Rules-Require-Root field
  * watch:
    - Convert to version 5
    - Drop sf.net
    - Search stable versions only
  * patches:
    - 4 patches with fixes for manual pages
    - Change "check" target to add arguments for testing
    - Upstream patch dropping pygtkcompat (Closes: Bug#1118277)
  * rules: Exclude failing tests on i386
  * autopkgtest:
    - Fix tests-patches
    - Exclude failing tests on i386
  * Override package-contains-documentation-outside-usr-share-doc

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Feb 2026 15:02:03 +0100

pocketsphinx (0.8+5prealpha+1-15) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libsphinxbase-dev.
  * watch: Use tags instead of releases.
  * patches/avoid-underflow: Avoid underflow in GMM computation
    (Closes: #812335)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Sep 2022 22:56:35 +0200

pocketsphinx (0.8+5prealpha+1-14) unstable; urgency=medium

  [ Helmut Grohne ]
  * Drop unused Build-Depends: swig-sphinxbase, gstreamer1.0-plugins-base,
    swig, libjs-jquery. (Closes: Bug#981418)

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Jan 2022 20:17:48 +0100

pocketsphinx (0.8+5prealpha+1-13) unstable; urgency=medium

  * Bump debhelper from 10 to 12.
    - pocketsphinx.manpages: Install from installed path.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 02 Jan 2021 16:12:39 +0100

pocketsphinx (0.8+5prealpha+1-12) unstable; urgency=medium

  * patches/pkg-config: Fix detecting pkg-config in cross-compilation case
    (closes: #955155)
  * control: Update alioth list domain.
  * Move tests patches from patches to tests-patches.
  * control: Recommend pocketsphinx-en-us instead of the retired models
    (closes: #964068).
  * control: Bump Standards-Version to 4.5.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Aug 2020 01:51:26 +0200

pocketsphinx (0.8+5prealpha+1-11) unstable; urgency=medium

  * debian/tests/tests: Drop python support in autopkgtest too.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Mar 2020 20:07:04 +0100

pocketsphinx (0.8+5prealpha+1-10) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dh arguments: --parallel
  * Update standards version to 4.4.1, no changes needed.

  [ Samuel Thibault ]
  * control: Remove python3-pocketsphinx package, now provided by
    pocketsphinx-python source package. Remove python3-all-dev and dh-python
    build-deps, now unused.
  * rules: Drop python support.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Mar 2020 19:55:55 +0100

pocketsphinx (0.8+5prealpha+1-9) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Feb 2020 07:18:32 -0800

pocketsphinx (0.8+5prealpha+1-8) experimental; urgency=medium

  * control: New package swig-pocketsphinx to contain swig helpers.
  * control: New package pocketsphinx-testdata to contain test data.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Feb 2020 23:05:14 +0100

pocketsphinx (0.8+5prealpha+1-7) unstable; urgency=medium

  * control: Make libpocketsphinx-dev depend on libsphinxbase-dev
    (Closes: #941377).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Dec 2019 14:51:29 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

TEST_ARGS = --verbose
ifeq (i386,$(DEB_HOST_ARCH))
TEST_ARGS += ARGS\+="--exclude-regex 'test-main\.sh|test_endpointer|test_vad'"
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_GSTREAMER=ON -DBUILD_SHARED_LIBS=ON

ifeq (big,$(shell dpkg-architecture -qDEB_BUILD_ARCH_ENDIAN))
override_dh_auto_test:
	echo "Big-endian archs do not work yet and create hundreds of gigabytes of log, don't even try for now."
	false
else
override_dh_auto_test:
	cd obj-$(DEB_HOST_GNU_TYPE) && $(MAKE) check
	dh_auto_test --buildsystem=cmake -- ARGS\+=$(TEST_ARGS)

endif

override_dh_auto_install:
	dh_auto_install
	for file in $$(find debian/tmp/usr/lib/ -name "*.la" -o -name _pocketsphinx.a); do \
		rm $$file ; \
	done

override_dh_shlibdeps:
	dh_shlibdeps
	LD_LIBRARY_PATH=debian/libpocketsphinx5/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
		dh_gstscancodecs

## pocketsphinx 5.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.14) # I like pie
 
-project(PocketSphinx VERSION 5.0.2
+project(PocketSphinx VERSION 5.0.4
   DESCRIPTION "A small speech recognizer"
   HOMEPAGE_URL "https://github.com/cmusphinx/pocketsphinx"
   LANGUAGES C)

=== cython/CMakeLists.txt ===
find_package(Python COMPONENTS Interpreter Development.Module REQUIRED)
find_program(CYTHON "cython")

if(NOT USE_INSTALLED_POCKETSPHINX)
  set_property(TARGET pocketsphinx PROPERTY POSITION_INDEPENDENT_CODE on)
endif()

add_custom_command(
  OUTPUT _pocketsphinx.c
  DEPENDS _pocketsphinx.pyx
  VERBATIM
  COMMAND "${CYTHON}" "${CMAKE_CURRENT_SOURCE_DIR}/_pocketsphinx.pyx" --output-file
          "${CMAKE_CURRENT_BINARY_DIR}/_pocketsphinx.c")

python_add_library(_pocketsphinx MODULE "${CMAKE_CURRENT_BINARY_DIR}/_pocketsphinx.c" WITH_SOABI)
target_link_libraries(_pocketsphinx PRIVATE pocketsphinx)
target_include_directories(
  _pocketsphinx PRIVATE ${PYTHON_INCLUDE_DIR}
  _pocketsphinx PRIVATE ${CMAKE_BINARY_DIR}
  _pocketsphinx PRIVATE ${CMAKE_SOURCE_DIR}/src
  _pocketsphinx PUBLIC ${CMAKE_SOURCE_DIR}/include
  _pocketsphinx PUBLIC ${CMAKE_BINARY_DIR}/include
  _pocketsphinx INTERFACE ${CMAKE_SOURCE_DIR}/include
  _pocketsphinx INTERFACE ${CMAKE_BINARY_DIR}/include
  )
install(TARGETS _pocketsphinx LIBRARY DESTINATION pocketsphinx)
if(NOT USE_INSTALLED_POCKETSPHINX)
  install(DIRECTORY ${PROJECT_SOURCE_DIR}/model DESTINATION pocketsphinx)
endif()

=== docs/requirements.txt ===
sphinx
myst-parser
sphinx-rtd-theme
MarkupSafe
.

=== doxygen/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 find_package(Doxygen)
 if(DOXYGEN_FOUND)
-  set(DOXYGEN_PROJECT_NUMBER 5.0.2)
+  set(DOXYGEN_PROJECT_NUMBER 5.0.4)
   set(DOXYGEN_EXAMPLE_PATH ${CMAKE_SOURCE_DIR}/examples)
   set(DOXYGEN_SORT_MEMBER_DOCS NO)
   set(DOXYGEN_USE_MATHJAX YES)

=== examples/CMakeLists.txt ===
set(EXAMPLES
  live
  simple
  )

foreach(EXAMPLE ${EXAMPLES})
  add_executable(${EXAMPLE} EXCLUDE_FROM_ALL ${EXAMPLE}.c)
  target_link_libraries(${EXAMPLE} pocketsphinx)
  target_include_directories(
    ${EXAMPLE} PRIVATE ${CMAKE_BINARY_DIR}
    )
endforeach()

add_custom_target(examples DEPENDS ${EXAMPLES})

# Try to find portaudio and pulseaudio with pkg-config
find_package(PkgConfig QUIET)
if(PKG_CONFIG_FOUND)
  pkg_check_modules(PULSEAUDIO libpulse-simple)
  if(PULSEAUDIO_FOUND)
    add_executable(live_pulseaudio EXCLUDE_FROM_ALL live_pulseaudio.c)
    target_link_libraries(live_pulseaudio pocketsphinx ${PULSEAUDIO_LIBRARIES})
    target_include_directories(live_pulseaudio PRIVATE ${CMAKE_BINARY_DIR}
      live_pulseaudio PUBLIC ${PULSEAUDIO_INCLUDE_DIRS})
  endif()

  pkg_check_modules(PORTAUDIO portaudio-2.0)
  if(PORTAUDIO_FOUND)
    add_executable(live_portaudio EXCLUDE_FROM_ALL live_portaudio.c)
    target_link_libraries(live_portaudio pocketsphinx ${PORTAUDIO_LIBRARIES})
    target_include_directories(live_portaudio PRIVATE ${CMAKE_BINARY_DIR}
      live_portaudio PUBLIC ${PORTAUDIO_INCLUDE_DIRS})
  endif()
endif()

# Try to find portaudio with its old package finder thing
if(NOT PORTAUDIO_FOUND)
  find_package(portaudio QUIET)
  if(TARGET portaudio_static)
    add_executable(live_portaudio EXCLUDE_FROM_ALL live_portaudio.c)
    target_link_libraries(live_portaudio pocketsphinx portaudio_static)
    set(PORTAUDIO_FOUND 1)
  endif()
endif()

# Try to find portaudio with its new package finder thing
if(NOT PORTAUDIO_FOUND)
  find_package(PortAudio QUIET)
  if(TARGET PortAudio::PortAudio)
    add_executable(live_portaudio EXCLUDE_FROM_ALL live_portaudio.c)
    target_link_libraries(live_portaudio pocketsphinx PortAudio::PortAudio)
    set(PORTAUDIO_FOUND 1)
  endif()
endif()

if(WIN32)
  add_executable(live_win32 EXCLUDE_FROM_ALL live_win32.c)
  target_link_libraries(live_win32 pocketsphinx winmm)
endif()

=== gst/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
pkg_check_modules(GOBJECT gobject-2.0)
pkg_check_modules(GSTREAMER gstreamer-1.0 gstreamer-base-1.0)
add_library(gstpocketsphinx SHARED gstpocketsphinx.c)
set_property(TARGET pocketsphinx PROPERTY POSITION_INDEPENDENT_CODE on)
target_link_libraries(gstpocketsphinx PUBLIC
  pocketsphinx
  ${GSTREAMER_LIBRARIES}
  ${GOBJECT_LIBRARIES}
  )
target_include_directories(
  gstpocketsphinx PRIVATE ${CMAKE_BINARY_DIR}
  gstpocketsphinx PRIVATE ${CMAKE_SOURCE_DIR}/src
  gstpocketsphinx PUBLIC ${CMAKE_SOURCE_DIR}/include
  gstpocketsphinx PUBLIC ${CMAKE_BINARY_DIR}/include
  gstpocketsphinx INTERFACE ${CMAKE_SOURCE_DIR}/include
  gstpocketsphinx INTERFACE ${CMAKE_BINARY_DIR}/include
  gstpocketsphinx PUBLIC ${GSTREAMER_INCLUDE_DIRS} ${GOBJECT_INCLUDE_DIRS}
  )
message("Installing GStreamer plugin to ${CMAKE_INSTALL_FULL_LIBDIR}/gstreamer-1.0")
install(TARGETS gstpocketsphinx LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/gstreamer-1.0)

=== model/CMakeLists.txt ===
install(DIRECTORY
  en-us
  DESTINATION ${CMAKE_INSTALL_DATADIR}/pocketsphinx/model)

=== programs/CMakeLists.txt ===
set(POCKETSPHINX_PROGRAMS
  pocketsphinx_main
  pocketsphinx_batch
  pocketsphinx_mdef_convert
  pocketsphinx_jsgf2fsg
  pocketsphinx_lm_convert
  pocketsphinx_lm_eval
  pocketsphinx_pitch
  )
foreach(PROGRAM ${POCKETSPHINX_PROGRAMS})
  add_executable(${PROGRAM} ${PROGRAM}.c)
  target_link_libraries(${PROGRAM} pocketsphinx)
  target_include_directories(
    ${PROGRAM} PRIVATE ${CMAKE_SOURCE_DIR}/src
    ${PROGRAM} PRIVATE ${CMAKE_BINARY_DIR})
  add_dependencies(check ${PROGRAM})
endforeach()
# CMake and its lovely flat namespace
set_target_properties(pocketsphinx_main PROPERTIES OUTPUT_NAME pocketsphinx)

# The cmake docs indicate you should check MACOSX_BUNDLE
# and that MACOSX_BUNDLE is initialized based on the value
# of CMAKE_MACOSX_BUNDLE but in practice, MACOSX_BUNDLE
# seems blank regardless of the value of CMAKE_MACOSX_BUNDLE.
# Since MACOSX_BUNDLE seems intended to just forward the value
# of CMAKE_MACOSX_BUNDLE anyway, we check CMAKE_MACOSX_BUNDLE
# directly.
if(CMAKE_MACOSX_BUNDLE)
  install(TARGETS ${POCKETSPHINX_PROGRAMS}
          RUNTIME DESTINATION bin
          BUNDLE DESTINATION bin
  )
else()
  install(TARGETS ${POCKETSPHINX_PROGRAMS} RUNTIME)
endif()

=== src/CMakeLists.txt ===
add_library(pocketsphinx
acmod.c
allphone_search.c
bin_mdef.c
common_audio/vad/vad_gmm.c
common_audio/vad/webrtc_vad.c
common_audio/vad/vad_filterbank.c
common_audio/vad/vad_core.c
common_audio/vad/vad_sp.c
common_audio/signal_processing/division_operations.c
common_audio/signal_processing/resample_48khz.c
common_audio/signal_processing/resample.c
common_audio/signal_processing/resample_fractional.c
common_audio/signal_processing/downsample_fast.c
common_audio/signal_processing/min_max_operations.c
common_audio/signal_processing/cross_correlation.c
common_audio/signal_processing/vector_scaling_operations.c
common_audio/signal_processing/resample_by_2_internal.c
common_audio/signal_processing/energy.c
common_audio/signal_processing/spl_inl.c
common_audio/signal_processing/get_scaling_square.c
dict2pid.c
dict.c
fe/fe_sigproc.c
fe/fixlog.c
fe/fe_warp_inverse_linear.c
fe/fe_noise.c
fe/fe_warp.c
fe/fe_interface.c
fe/fe_warp_affine.c
fe/yin.c
fe/fe_warp_piecewise_linear.c
feat/cmn.c
feat/agc.c
feat/cmn_live.c
feat/feat.c
feat/lda.c
fsg_history.c
fsg_lextree.c
fsg_search.c
hmm.c
kws_detections.c
kws_search.c
lm/lm_trie_quant.c
lm/ngram_model_trie.c
lm/fsg_model.c
lm/jsgf.c
lm/ngram_model_set.c
lm/ngrams_raw.c
lm/jsgf_scanner.c
lm/bitarr.c
lm/ngram_model.c
lm/lm_trie.c
lm/jsgf_parser.c
mdef.c
ms_gauden.c
ms_mgau.c
ms_senone.c
ngram_search.c
ngram_search_fwdflat.c
ngram_search_fwdtree.c
phone_loop_search.c
pocketsphinx.c
ps_alignment.c
ps_config.c
ps_endpointer.c
ps_lattice.c
ps_mllr.c
ps_vad.c
ptm_mgau.c
s2_semi_mgau.c
state_align_search.c
tmat.c
util/strfuncs.c
util/dtoa.c
util/case.c
util/filename.c
util/slamch.c
util/cmd_ln.c
util/blas_lite.c
util/blkarray_list.c
util/vector.c
util/mmio.c
util/hash_table.c
util/err.c
util/ckd_alloc.c
util/slapack_lite.c
util/matrix.c
util/bio.c
util/heap.c
util/priority_queue.c
util/bitvec.c
util/profile.c
util/errno.c
util/logmath.c
util/glist.c
util/f2c_lite.c
util/listelem_alloc.c
util/pio.c
util/genrand.c
util/soundfiles.c
  )
target_include_directories(
  pocketsphinx PRIVATE ${CMAKE_BINARY_DIR}
  pocketsphinx PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
  pocketsphinx PUBLIC ${CMAKE_SOURCE_DIR}/include
  pocketsphinx PUBLIC ${CMAKE_BINARY_DIR}/include
  pocketsphinx INTERFACE ${CMAKE_SOURCE_DIR}/include
  pocketsphinx INTERFACE ${CMAKE_BINARY_DIR}/include
  )
if(APPLE)
  # Things we might need are here
  target_link_directories(pocketsphinx PUBLIC /usr/local/lib)
endif()
find_library(MATH_LIBRARY m)
if(MATH_LIBRARY)
  target_link_libraries(pocketsphinx PUBLIC ${MATH_LIBRARY})
endif()
# Shared library version != package version, but we will make it the
# same for now to avoid confusion
set_target_properties(pocketsphinx PROPERTIES
  VERSION 5.0.0
  SOVERSION 5
  )
# No idea why this can't just go in the above list but oh well
if(MODELDIR)
  set_property(TARGET pocketsphinx PROPERTY
    COMPILE_DEFINITIONS POCKETSPHINX_EXPORTS;SPHINXBASE_EXPORTS;MODELDIR="${MODELDIR}"
    )
else()
  set_property(TARGET pocketsphinx PROPERTY
    COMPILE_DEFINITIONS POCKETSPHINX_EXPORTS;SPHINXBASE_EXPORTS)
endif()

=== test/CMakeLists.txt ===
find_program(BASH_PROGRAM bash)
configure_file(testfuncs.sh.in testfuncs.sh @ONLY)

add_subdirectory(regression)
add_subdirectory(unit)

=== test/regression/CMakeLists.txt ===
set(TESTS
  test-cards.sh
  test-lm.sh
  test-main.sh
  test-main-align.sh
  test-align.sh
  test-tidigits-fsg.sh
  test-tidigits-simple.sh
)
foreach(TEST ${TESTS})
  if(${TEST} MATCHES "\.(test|sh)$")
    add_test(NAME ${TEST} COMMAND ${BASH_PROGRAM} ${CMAKE_CURRENT_SOURCE_DIR}/${TEST})
  else()
    add_test(NAME ${TEST} COMMAND ${TEST})
  endif()
  set_property(TEST ${TEST} PROPERTY ENVIRONMENT CMAKE_BINARY_DIR=${CMAKE_BINARY_DIR})
endforeach()

=== test/unit/CMakeLists.txt ===
configure_file(test_macros.h.in test_macros.h @ONLY)
set(TESTS
  test_acmod
  test_acmod_grow
  test_alignment
  test_allphone
  test_bitvec
  test_config
  test_dict2pid
  test_dict
  test_fe
  test_fwdflat
  test_fwdtree_bestpath
  test_fwdtree
  test_init
  test_jsgf
  test_keyphrase
  test_lattice
  test_ngram_model_read
  test_log_shifted
  test_log_int8
  test_log_int16
  test_mllr
  test_nbest
  test_pitch
  test_posterior
  test_ptm_mgau
  test_reinit
  test_senfh
  test_set_search
  test_simple
  test_state_align
  test_vad
  test_word_align
  test_endpointer
  )
foreach(TEST_EXECUTABLE ${TESTS})
  add_executable(${TEST_EXECUTABLE} EXCLUDE_FROM_ALL ${TEST_EXECUTABLE}.c)
  target_link_libraries(${TEST_EXECUTABLE} pocketsphinx)
  target_include_directories(
    ${TEST_EXECUTABLE} PRIVATE ${CMAKE_SOURCE_DIR}/src
    ${TEST_EXECUTABLE} PRIVATE ${CMAKE_BINARY_DIR}
    ${TEST_EXECUTABLE} PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
    )
  add_test(NAME ${TEST_EXECUTABLE} COMMAND ${TEST_EXECUTABLE})
  add_dependencies(check ${TEST_EXECUTABLE})
endforeach()

add_subdirectory(test_alloc)
add_subdirectory(test_case)
add_subdirectory(test_feat)
add_subdirectory(test_fsg)
add_subdirectory(test_hash)
add_subdirectory(test_lineiter)
add_subdirectory(test_matrix)
add_subdirectory(test_ngram)
add_subdirectory(test_string)
add_subdirectory(test_util)

=== debian/changelog ===
pocketsphinx (5.0.4-3) unstable; urgency=medium

  * control: Drop libsphinxbase-dev dependency.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Feb 2026 23:14:02 +0100

pocketsphinx (5.0.4-2) unstable; urgency=medium

  * rules: Re-enable testsuite on 64bit big-endian archs.
  * copyright: Fix licensing of patches/, add licence of src/jsmn.h.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Feb 2026 10:40:48 +0100

pocketsphinx (5.0.4-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release (Closes: Bug#1043582)
    - Rename libpocketsphinx3 to libpocketsphinx5 according to soname bump.
    - control: Drop libsphinxbase-dev build-dep, add graphviz, cmake, sox,
      libpulse-dev, portaudio19-dev build-deps.
    - Drop swig-pocketsphinx package.
    - copyright: Update.
    - libpocketsphinx-dev.install: libpocketsphinx.a is not getting built any
      more.
    - rules: Drop --without-python configure option, pass -DBUILD_GSTREAMER=ON
      -DBUILD_SHARED_LIBS=ON.
    - rules: Fix the test target: upstream uses "check", not "test".
  * watch: Update URL.
  * control: Replace pkg-config deps with pkgconf.
  * tests/tests: Always unpatch on exit.

  [ Gabor Karsay ]
  * Update Standards-Version 4.7.3, removing redundant Priority field
  * Bump debhelper-compat to 13
  * Remove redundant Rules-Require-Root field
  * watch:
    - Convert to version 5
    - Drop sf.net
    - Search stable versions only
  * patches:
    - 4 patches with fixes for manual pages
    - Change "check" target to add arguments for testing
    - Upstream patch dropping pygtkcompat (Closes: Bug#1118277)
  * rules: Exclude failing tests on i386
  * autopkgtest:
    - Fix tests-patches
    - Exclude failing tests on i386
  * Override package-contains-documentation-outside-usr-share-doc

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Feb 2026 15:02:03 +0100

=== debian/control ===
Source: pocketsphinx
Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 13), pkgconf, doxygen, graphviz, cmake,
 libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
 sox, libpulse-dev, portaudio19-dev,
Standards-Version: 4.7.3
Section: sound
Homepage: https://cmusphinx.sourceforge.net/
Vcs-Git: https://salsa.debian.org/a11y-team/pocketsphinx.git
Vcs-Browser: https://salsa.debian.org/a11y-team/pocketsphinx

Package: pocketsphinx
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains end-user speech recognition tools.

Package: gstreamer1.0-pocketsphinx
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
         libgstreamer1.0-0 (>= ${gstreamer:Version}~)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: Speech recognition tool - GStreamer plugin
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the GStreamer plugin

Package: pocketsphinx-en-us
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - US English language model
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the default US English language model for
 PocketSphinx.

Package: libpocketsphinx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces: pocketsphinx (<< 0.8+5prealpha+1-6)
Breaks: pocketsphinx (<< 0.8+5prealpha+1-6)
Depends: libpocketsphinx5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Description: Speech recognition tool - front-end library development files
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains header files and static libraries for developing programs
 that use the Pocket Shinx frontend.

Package: libpocketsphinx5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pocketsphinx-en-us
Description: Speech recognition tool - front-end library
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the frontend shared library

Package: pocketsphinx-testdata
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Speech recognition tool - test data for pocketsphinx
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains test data for pocketsphinx development.

=== debian/rules ===
--- 
+++ 
@@ -13,16 +13,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_GSTREAMER=ON -DBUILD_SHARED_LIBS=ON
 
-ifeq (big,$(shell dpkg-architecture -qDEB_BUILD_ARCH_ENDIAN))
-override_dh_auto_test:
-	echo "Big-endian archs do not work yet and create hundreds of gigabytes of log, don't even try for now."
-	false
-else
 override_dh_auto_test:
 	cd obj-$(DEB_HOST_GNU_TYPE) && $(MAKE) check
 	dh_auto_test --buildsystem=cmake -- ARGS\+=$(TEST_ARGS)
-
-endif
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
Version: 5

Template: GitHub
Owner: cmusphinx
Project: pocketsphinx
Version-Type: STABLE_VERSION
